React

The Most Flexible Kanban Board

Bryntum Task Board for React is a web component with a range of built-in features to track tasks from idea to completion. Optimize your users’ workflow in a beautiful interface that’s easy to customize.

Requested In Progress Completed Confirm Ports Availability Infrastructure Security Remove deprecated API Bug with rendering Biz Dev Design Add 'Call to Action' to header Help center configuration Strategy Kick off documents Biz Dev Upgrade babel Infrastructure Fix CSS classes QA/QC Write tests QA/QC

Clear and Concise Documentation

A Feature-Rich React Kanban Board

Customize how cards, columns, and swimlanes are rendered and styled to suit your needs and brand aesthetic. Autogenerate columns, enable inline editing, and quickly display thousands of tasks.

You can even toggle features on or off at runtime, thanks to our rich API. Try it out in the demo!

Kanban Board Code Example for React

 

Get Bryntum React Task Board up and running in just a few minutes using TypeScript or JavaScript. The App.jsx code example below shows configuration and sample data.

import { useState } from 'react';
import { BryntumTaskBoard } from '@bryntum/taskboard-react';
import './App.scss';

const taskboardConfig = {
  columns : [
      { id : 'todo', text : 'Todo', color : 'orange' },
      { id : 'doing', text : 'Doing', color : 'blue', tooltip : 'Items that are currently in progress' },
      { id : 'done', text : 'Done' }
  ],
  // Field used to pair a task to a column
  columnField : 'status',
};

const resourcesData = [
  {
    "id": 1,
    "name": "Angelo"
  },
  {
    "id": 2,
    "name": "Celia"
  },
  {
    "id": 3,
    "name": "Dave"
  },
];

const tasksData = [
  {
    "id": 1,
    "name": "Book flight",
    "status": "done",
    "prio": "medium"
  },
  {
    "id": 2,
    "name": "Book hotel",
    "status": "done",
    "prio": "medium"
  },
  {
    "id": 3,
    "name": "Pack bags",
    "status": "doing",
    "prio": "low"
  },
];

const assignmentsData = [
  {
    "id": 1,
    "event": 1,
    "resource": 1
  },
  {
    "id": 2,
    "event": 2,
    "resource": 2
  },
  {
    "id": 3,
    "event": 3,
    "resource": 3
  }
];

function App() {
  const [resources, setResources] = useState(resourcesData);
  const [tasks, setTasks] = useState(tasksData);
  const [assignments, setAssignments] = useState(assignmentsData);
    
  return (
      <BryntumTaskBoard 
        resources={resources} 
        tasks={tasks} 
        assignments={assignments}
        {...taskboardConfig} 
      />
    );
}

export default App;

Structure and Filter Task Board Cards

Create order out of chaos. Group tasks into swimlanes and any number of columns. Collapse swimlanes and columns to hide less important tasks. Find the tasks that matter most with filters.

Create Stunning Modern Interfaces

  • Choose from five themes or create your own using our Sass variables.
  • Use the taskRenderer method to easily display text and markup.
  • Control which elements a card shows using bodyItems: Display content like icons, tags, images, and progress bars.
  • Customize the task editor for quick access to your most-used features.

JSX Support for Rendering Content

Dynamically produce visually rich cell content using inline JSX and custom React components with Bryntum React Task Board.

Looks Great at Any Size

Bryntum React Task Board is responsive right out of the box. Less important details are filtered out on smaller screen widths to keep the focus on what’s critical while you’re on the go.

Try It Out Below

Drag the slider to zoom or try the built-in filtering.

Trusted by the world’s leading companies

Ready to get started?

Beyond the Prompt: One-day event with Bryntum & AG Grid • 19 May, London. More info

Vue

The Most Flexible Kanban Board

Bryntum Task Board for Vue is a web component with a range of built-in features to track tasks from idea to completion. Optimize your users’ workflow in a beautiful interface that’s easy to customize.

Requested In Progress Completed Confirm Ports Availability Infrastructure Security Remove deprecated API Bug with rendering Biz Dev Design Add 'Call to Action' to header Help center configuration Strategy Kick off documents Biz Dev Upgrade babel Infrastructure Fix CSS classes QA/QC Write tests QA/QC

Clear and Concise Task Board Documentation

A Feature-Rich Kanban Board

Customize how cards, columns, and swimlanes are rendered and styled to suit your needs and brand aesthetic. Autogenerate columns, enable inline editing, and quickly display thousands of tasks.

You can even toggle features on or off at runtime, thanks to our rich API. Try it out in the demo!

Vue Task Board Code Example

 

This sample code shows a Vue component defined in App.vue for a basic Bryntum Task Board setup.

<template>
    <div>
        <bryntum-task-board-project-model
            ref="project"
            v-bind="projectConfig"
            :tasks="tasks"
        />
        <bryntum-task-board
            ref="taskboard"
            v-bind="taskBoardConfig"
        />
    </div>
</template>

<script>
import { ref, reactive, onMounted } from 'vue';

import {
    BryntumTaskBoardProjectModel,
    BryntumTaskBoard
} from '@bryntum/taskboard-vue-3';

import { useTaskBoardConfig, useProjectConfig } from '@/AppConfig';

export default {
    name : 'App',

    components : {
        BryntumTaskBoardProjectModel,
        BryntumTaskBoard
    },

    setup() {
        const taskboard = ref(null);
        const project = ref(null);

        const taskBoardConfig = reactive(useTaskBoardConfig());
        const projectConfig = reactive(useProjectConfig());

        const tasks = ref(null);

        tasks.value = [
            { id : 1, name : 'My first task', status : 'doing' },
            { id : 2, name : 'My second task', status : 'todo' }
        ];

        onMounted(() => {
            taskboard.value.instance.value.project = project.value.instance.value;
        });

        return {
            project,
            taskboard,
            projectConfig,
            taskBoardConfig,
            tasks
        };
    }
};
</script>

<style lang="scss">
@import './App.scss';
</style>

Structure and Filter Kanban Cards

Create order out of chaos. Group tasks into swimlanes and any number of columns. Collapse swimlanes and columns to focus on high-priority tasks. Find the tasks that matter most with filters.

Create Stunning Modern Interfaces

  • Choose from five themes or create your own using our Sass variables.
  • Use the taskRenderer method to effortlessly display text and markup.
  • Control which elements a card shows using bodyItems: Display content like icons, tags, images, and progress bars.
  • Customize the task editor for quick access to your most-used features.

Easy Vue Component Integration With Task Board

Bryntum Vue wrappers define components that can be used like any other Vue components, giving you access to Bryntum API widget class configurations, properties, events, and features in your Vue application.

<template>
    <bryntum-task-board
        ref="taskboard"
        tooltip="taskBoardConfig.tooltip"
        v-bind="taskBoardConfig"
        @click="onClick"
    />
</template>

<script>

import { BryntumTaskBoard } from '@bryntum/taskboard-vue';
import { taskBoardConfig } from './AppConfig';
import './components/ColorColumn.js';

export default {
    name: 'app',

    // local components
    components: {
        BryntumTaskBoard
    },
    data() {
        return { taskBoardConfig };
    }
};
</script>

<style lang="scss">
@import './App.scss';
</style>

Looks Great at Any Size

Bryntum Vue Task Board is responsive right out of the box. Less important details are filtered out on smaller screen widths to keep the focus on what’s critical while you’re on the go.

Try It Out Below

Drag the slider to zoom or try the built-in filtering.

Trusted by the world’s leading companies

Ready to get started?

Beyond the Prompt: One-day event with Bryntum & AG Grid • 19 May, London. More info